Package org.globus.axis.transport.commons

# Class ConnectionPool

java.lang.Object
org.globus.axis.transport.commons.ConnectionPool

public class ConnectionPool extends Object

## Constructor Summary

Constructors
Constructor
Description
`ConnectionPool()`

## Method Summary

Modifier and Type
Method
Description
`void`
`closeIdleConnections()`
`ExtendedHttpConnection`
`getPooledConnection()`
`void`
`releaseConnection(org.apache.commons.httpclient.HttpConnection conn)`
`void`
`setIdleTime(long time)`
`void`
`shutdown()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConnectionPool

public ConnectionPool()

## Method Details

### setIdleTime

public void setIdleTime(long time)

### getPooledConnection

public ExtendedHttpConnection getPooledConnection()

### releaseConnection

public void releaseConnection(org.apache.commons.httpclient.HttpConnection conn)

### closeIdleConnections

public void closeIdleConnections()

### shutdown

public void shutdown()